Change-Id: Ib76fe08933a360a3e676ea6f825934c1f6f830c9
Signed-off-by: Thanh Ha <thanh.ha@linuxfoundation.org>
--- /dev/null
+#!/bin/bash
+
+command -v shellcheck >/dev/null 2>&1 || {
+ echo >&2 "ShellCheck is not installed. Please install using your favourite package manager."
+ exit 1
+}
+
+shellcheck shell/*
[testenv:docs-linkcheck]
deps = -rrequirements.txt
commands = sphinx-build -b linkcheck -d {envtmpdir}/doctrees ./docs/ {toxinidir}/docs/_build/linkcheck
+
+[testenv:shellcheck]
+commands = ./run_shellcheck